Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/01/2021 in all areas

  1. For what it's worth, here's an existing program to handle elliptical arcs too.
    3 points
  2. One option would be to use the Windows command prompt. To delete all files with the .zip extension type: del *.zip 10 ways to open the Command Prompt in Windows 10: 10 Ways to Open the Command Prompt in Windows 10 (howtogeek.com)
    1 point
  3. Wouldn't this be more of a Windows Explorer issue? I used to do these sort of things through the Command Prompt. I am not really sure from your description what exactly determines if something needs deleted or not?
    1 point
  4. http://lee-mac.com/dynamicblockfunctions.html#getvisibilityparametername
    1 point
  5. Since the existing width factor could be any value greater than 1.0, you'll need to acquire the existing value for use within the subst expression, e.g.: (defun c:fixtw ( / i s x ) (if (setq s (ssget "_X" '((0 . "TEXT") (-4 . ">") (41 . 1.0) (410 . "Model")))) (repeat (setq i (sslength s)) (setq i (1- i) x (entget (ssname s i)) ) (entmod (subst '(41 . 1.0) (assoc 41 x) x)) ) ) (princ) ) Aside, I'm unsure why you are changing the structure of the function for use in an AutoCAD Script - I would suggest saving the above function to an AutoLISP file located in a trusted support path, and then loading & evaluating it from your Script using something like the following: (load "fixtw.lsp" nil) (if c:fixtw (c:fixtw))
    1 point
  6. If you have no toolbars displayed type "-TOOLBAR" "MODIFY" "SHOW" once you have 1 toolbar you can use the right click on toolbar to open more.
    1 point
  7. FWIW rather than deleting the conditional, you could use the "equal" function with a fuzz factor, if the ellipses are only off by a small amount. depends on whether you need to prevent changing an ellipse that is supposed to be an ellipse. I.e. this: (setq fuz 0.005) ;; Set error fuzz value (if (equal (cdr (assoc 40 ent)) 1.0 fuz) instead of this: (if (= (cdr (assoc 40 ent)) 1.0)
    1 point
  8. Here is a function to do it. Note - this only works if the Major to Minor radius ratio is 1 (in other words - looks like a circle). If you want it different then let me know. (defun C:EL2CIR (/ cen cnt en ent maj mad) (if (setq ss (ssget '((0 . "ELLIPSE")))) (repeat (setq cnt (sslength ss)) (setq ent (entget (setq en (ssname ss (setq cnt (1- cnt))))) cen (cdr (assoc 10 ent)) maj (cdr (assoc 11 ent)) mad (distance '(0.0 0.0 0.0) maj) ) (if (= (cdr (assoc 40 ent)) 1.0) (progn (command "._circle" "_non" cen mad) (entdel en) ) ) ) ) (princ) )
    1 point
  9. cadforum: http://www.cadforum.cz usually gets mentioned a lot in threads like this, so is probably worth adding to the list. dJE
    1 point
×
×
  • Create New...